Skip to main content
GET
Get RFQs

Authorizations

KALSHI-ACCESS-KEY
string
header
required

Your API key ID

KALSHI-ACCESS-SIGNATURE
string
header
required

Base64 signature of the pre-sign text (timestamp + method + path) made with the API key's algorithm - RSA-PSS with SHA-256 for RSA keys, Ed25519 for Ed25519 keys

KALSHI-ACCESS-TIMESTAMP
string
header
required

Request timestamp in milliseconds

Query Parameters

cursor
string

Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.

event_ticker
string

Event ticker to filter by. Only a single event ticker is supported.

market_ticker
string

Filter by market ticker

subaccount
integer

Subaccount number (0 for primary, 1-63 for subaccounts). If omitted, defaults to all subaccounts.

Required range: x >= 0
limit
integer<int32>
default:100

Parameter to specify the number of results per page. Defaults to 100.

Required range: 1 <= x <= 100
status
string

Filter RFQs by status

creator_user_id
string

Filter RFQs by creator user UUID. Use user_filter=self for the authenticated user.

user_filter
enum<string>

Omit or leave empty to return all results. Use self to filter by the authenticated user.

Available options:
self

Response

RFQs retrieved successfully

rfqs
object[]
required

List of RFQs matching the query criteria

cursor
string

Cursor for pagination to get the next page of results